Compat wireless for Fedora and RHEL

Here are compact wireless Fedora/RHEL packages. The purpose of these packages is provide upstream wireless drives and stack for Fedora/RHEL kernels for testing. They allow to quickly evaluate if WLAN related issue you perhaps hitting on Fedora/RHEL is already fixed on upstream. Currently packages are prepared for F- 16, F-17 and RHEL6 (6.2 or above required).

You have to reboot the system after installing packages to make sure proper modules are used. Reloading wireless drivers modules (using rmmod/modprobe) after installing packages could result kernel crash.

Things can go wrong, especially with -next modules, so assure your grub.conf allow to choose different kernel at boot, or allow to edit kernel options to boot in single mode, to make recovery easy if system does not boot after installing compat-wireless package.

Based on upstream kernel version two variants of compat-wireless packages are provided: -stable and -next. Packages are compiled against latest kernel from Fedora updates repository in standard and -debug variant (PAE kernels are not supported). On RHEL6 packages can be used on any standard kernel version from RHEL6.2 or above (debug and PAE kernel variants are not supported).

On Fedora, to install you can add compat-wireless.repo file to your /etc/yum.repos.d/ directory, and use yum like in example.

# yum install compat-wireless-next

Other than that, you can also download package manually from links below and use rpm tool, eg.

# rpm -ivh kmod-compat-wireless-2.6.37-4.fc14.1.i686.rpm
This installation method in required on RHEL at present.

Removing package can be done like in examples below, depending on installation method. Also reboot is needed, to make changes visible.

# yum remove compat-wireless-next
# rpm -e kmod-compat-wireless-2.6.37-4.fc14.1.i686.rpm

Packages installation and uninstallation can take some time as recalculating of module symbols dependencies is need (depmod program). Especially on RHEL, where depmod is performed for each installed kernel, package add/remove can take a few minutes.

To verify if modules from compat-wireless packages are in use, you can check if comapt.ko module is loaded, for example:

# lsmod | grep compat
compat_firmware_class     7646   1 iwlwifi
compat                    36316  4 iwlwifi,mac80211,compat_firmware_class,cfg80211
In case modules were not loaded into memory, you can find out if compat-wireless modules will be loaded by using "modprobe -v -n" options, for example:
# modprobe -v -n iwl3945 
insmod /lib/modules/2.6.32-279.5.1.el6.x86_64/weak-updates/compat-wireless/drivers/net/wireless/iwlegacy/iwlegacy.ko 
insmod /lib/modules/2.6.32-279.5.1.el6.x86_64/weak-updates/compat-wireless/drivers/net/wireless/iwlegacy/iwl3945.ko 

Packages can be downloaded from directories: